// 编写一个函数，用于判断一个整数是否为质数，并返回结果。
#include <iostream>

using namespace std;

bool isPrime(int n)
{
    if (n <= 1)
        return false;
    int i = 2;
    while (i * i <= n)
    {
        if (n % i == 0)
            return false; // 不是质数
        i++;
    }
    return true; // 是质数
}

int main()
{
    int n;
    cout << "请输入一个整数：";
    cin >> n;
    if (isPrime(n))
        cout << n << " 是质数" << endl;
    else
        cout << n << " 不是质数" << endl;
    return 0;
}